
Infrastructure - Story #6721

Update replication and replication auditing for v2 API changes

2015-01-06 17:26 - Skye Roseboom

Status: Closed Start date: 2015-05-28

Priority: Normal Due date:  

Assignee: Chris Jones % Done: 100%

Category: d1_replication Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Story Points:    

Description

Encapsulate use of V1 or V2 REST API calls when requesting and processing replication and replication auditing.

Subtasks:

Task # 7134: Update replication component to encapsulate use of V1, V2 replication API ... Closed

Task # 7135: Update replication auditing component to encapsulate use of V1, V2 replica... Closed

Related issues:

Related to CN REST - Story #7216: Review replication auditor implementation a... Closed 2015-06-16

History

#1 - 2015-05-28 18:13 - Chris Jones

Just a note: Replication will also need to be aware of the V1 or V2 support level for the authoritative node.  If the node supports only V1, then

replication needs to treat the CN as authoritative for the system metadata of the object being replicated.  If it supports V2, then the MN is authoritative.

#2 - 2015-06-16 15:10 - Dave Vieglais

- Target version changed from CCI-2.0.0 to CCI-2.0-RC1

#3 - 2015-06-16 15:11 - Dave Vieglais

- Related to Story #7216: Review replication auditor implementation and update for V2 support added

#4 - 2015-07-01 16:18 - Dave Vieglais

- Target version changed from CCI-2.0-RC1 to CCI-2.0.0

#5 - 2015-07-14 20:55 - Chris Jones

- Assignee changed from Skye Roseboom to Chris Jones

#6 - 2016-01-05 18:58 - Skye Roseboom

- % Done changed from 0 to 100

- Status changed from New to Closed

sub-tasks are complete.
